security-analytics-dangling-cnames

The following shows how to generate the security-analytics-dangling-cnames report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.

Report definition

This report shows dangling CNAME events for Edge DNS zones.

Business object: edns

Data available for: 90 days

Available metrics

MetricDescription
Data metrics
aliasNameName of the alias record.
canonicalNameName that the alias record resolves to.
detectedAtDate and time when the dangling CNAME was detected in ISO-8601 timestamp format with a UTC offset.
zoneNameName of the zone.

POST request

POST /reporting-api/v1/reports/security-analytics-dangling-cnames/versions/1/report-data{?start,end}

Sample: /reporting-api/v1/reports/security-analytics-dangling-cnames/versions/1/report-data?start=2026-02-01T00%3A00%3A00Z&end=2026-03-01T00%3A00%3A00Z

Query parameters

ParameterTypeSampleDescription
Required
startString2026-02-01T00:00:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp.
endString2026-03-01T00:00:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp.

JSON request members

MemberTypeDescription
objectIdsArraySpecifies the set of edns values you want to report on.
objectIdsEnumerationAs an alternative to an array of ID values, specify all as a string for unfiltered data. Either way, objectIds is required.
metricsArrayThe set of desired metrics. If omitted, the report includes all available metrics.

Request body:

{
    "objectIds": [
        "www.example.com",
        "m.example.com",
        "blog.example.com",
        "example.com",
        "example1.com",
        "example2.com",
        "example3.com"
    ],
    "metrics": [
        "aliasName",
        "canonicalName",
        "detectedAt",
        "zoneName"
    ]
}

GET request

GET /reporting-api/v1/reports/security-analytics-dangling-cnames/versions/1/report-data{?start,end,objectIds,allObjectIds,metrics}

Sample: /reporting-api/v1/reports/security-analytics-dangling-cnames/versions/1/report-data?start=2026-02-01T00%3A00%3A00Z&end=2026-03-01T00%3A00%3A00Z&objectIds=www.example.com,m.example.com,blog.example.com,example1.com,example2.xom,example3.com&metrics=aliasName%2CcanonicalName

Query parameters

ParameterTypeSampleDescription
Required
startString2026-02-01T00:00:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value’s timestamp.
endString2026-03-01T00:00:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value’s timestamp.
Optional
allObjectIdsBooleantrueAs an alternative to objectIds, enabling this generates a report that includes all IDs available for the edns objectType. This parameter is ignored if the request also specifies a set of objectIds.
objectIdsStringwww.example.com,​m.example.com,​blog.example.com, example1.com, example2.com, example3.comAs an alternative to allObjectIds, specifies the set of unique IDs for the edns objectType you want to report on, formatted as a comma-delimited list.
metricsStringaliasName,canonical​NameSpecifies a comma-separated list of metrics to include in the report, otherwise all metrics if omitted. The set of available metrics depends on the type of report. URL-encode the entire value in the GET request.

JSON response

Status 200 application/json

Response body:

{
    "metadata": {
        "name": "security-analytics-dangling-cnames",
        "version": "1",
        "outputType": "FLAT",
        "groupBy": [
            "zoneName",
            "aliasName"
        ],
        "start": "2026-02-01T00:00:00Z",
        "end": "2026-03-01T00:00:00Z",
        "availableDataEnds": null,
        "suggestedRetryTime": null,
        "rowCount": 4,
        "filters": [],
        "columns": [
            {
                "name": "groupBy",
                "label": "zoneName"
            },
            {
                "name": "groupBy",
                "label": "aliasName"
            },
            {
                "name": "aliasName",
                "label": "Alias Name"
            },
            {
                "name": "canonicalName",
                "label": "Canonical Name"
            },
            {
                "name": "detectedAt",
                "label": "Detected At"
            },
            {
                "name": "zoneName",
                "label": "Zone Name"
            }
        ],
        "objectType": "edns",
        "objectIds": [
             "example.com",
            "example1.com",
            "example2.com",
            "example3.com",
            "m.example.com",
            "blog.example.com"
        ]
    },
     "data": [
     {
           "zoneName": "example.com",
           "aliasName": "www.example.com",
           "canonicalName": "www-example-com.azurewebsites.net",
           "detectedAt": "2023-11-10 08:00:00 +00:00"
       },
       {
           "zoneName": "example1.com",
           "aliasName": "www.example1.com",
           "canonicalName": "www-example1-com.azurewebsites.net",
           "detectedAt": "2023-11-10 08:00:00 +00:00"
       },
       {
           "zoneName": "example2.com",
           "aliasName": "www.example2.com",
           "canonicalName": "www-example2-com.azurewebsites.net",
           "detectedAt": "2023-11-10 08:00:00 +00:00"
       },
       {
           "zoneName": "example3.com",
           "aliasName": "www.example3.com",
           "canonicalName": "www-example3-com.azurewebsites.net",
           "detectedAt": "2023-11-10 08:00:00 +00:00"
       }
   ],
    "summaryStatistics": {}
}

Get report details

This sample Get a report type operation gets the same information you need to run the security-analytics-dangling-cnames report as provided in this reference documentation, but available dynamically to your API client application.

GET /reporting-api/v1/reports/security-analytics-dangling-cnames/versions/1

Status 200 application/json

Response body:

{
    "name": "security-analytics-dangling-cnames",
    "description": "This report shows dangling CNAME events for Edge DNS zones.",
    "businessObjectName": "edns",
    "version": 1,
    "status": "PUBLISHED",
    "deprecated": false,
    "timeBased": false,
    "supportsPagination": false,
    "outputType": "FLAT",
    "available": true,
    "metrics": [
        {
            "name": "zoneName",
            "description": "Name of the zone.",
            "label": "Zone Name",
            "unit": "STRING",
            "summaryStatistic": false
        },
        {
            "name": "detectedAt",
            "description": "Date and time when the dangling CNAME was detected in ISO-8601 timestamp format with a UTC offset.",
            "label": "Detected At",
            "unit": "STRING",
            "summaryStatistic": false
        },
        {
            "name": "aliasName",
            "description": "Name of the alias record.",
            "label": "Alias Name",
            "unit": "STRING",
            "summaryStatistic": false
        },
        {
            "name": "canonicalName",
            "description": "Name that the alias record resolves to.",
            "label": "Canonical Name",
            "unit": "STRING",
            "summaryStatistic": false
        }
    ],
    "groupOutlyingValues": {
        "enabled": false
    },
    "groupBy": [
        "zoneName",
        "aliasName"
    ],
    "intervals": [
        "FIVE_MINUTES"
    ],
    "dataRetentionDays": 90,
    "links": [
        {
            "rel": "self",
            "href": "/reporting-api/v1/reports/security-analytics-dangling-cnames/versions/1"
        },
        {
            "rel": "versions",
            "href": "/reporting-api/v1/reports/security-analytics-dangling-cnames/versions"
        },
        {
            "rel": "all-reports",
            "href": "/reporting-api/v1/reports"
        },
        {
            "rel": "execute-report",
            "href": "/reporting-api/v1/reports/security-analytics-dangling-cnames/versions/1/report-data"
        }
    ]
}